Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CSnapshotSettings Class Reference

`#include <SnapshotSettings.h>`

Inheritance diagram for CSnapshotSettings::

List of all members.

## Public Methods

- CSnapshotSettings (QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags fl=0)
- ~CSnapshotSettings ()

## Public Attributes

- QButtonGroup* SelectedFormat
- QRadioButton* RadioButton1
- QRadioButton* RadioButton2
- QRadioButton* RadioButton3
- QRadioButton* RadioButton4
- QRadioButton* RadioButton6
- QRadioButton* RadioButton10
- QRadioButton* RadioButton12
- QRadioButton* RadioButton8
- QRadioButton* RadioButton7
- QRadioButton* RadioButton11
- QRadioButton* RadioButton15
- QRadioButton* RadioButton16
- QRadioButton* RadioButton5
- QRadioButton* RadioButton13
- QRadioButton* RadioButton9
- QRadioButton* RadioButton14
- QFrame* Frame3
- QLabel* label_select_font
- QToolButton* ColourButton
- QLabel* label_select_color
- QToolButton* FontButton
- QCheckBox* TimestampImage
- QLabel* label_basename
- QLineEdit* BaseName
- QPushButton* CancelButton
- QPushButton* OKButton
- QButtonGroup* SaveOption
- QRadioButton* RadioButton20
- QRadioButton* RadioButton19
- QLabel* TextLabel1
- QSpinBox* MaxSequence
- QRadioButton* RadioButton18
- QCheckBox* FTPToServer
- QPushButton* FTPSettingsButton
- QCheckBox* SaveToDisk

## Protected Attributes

- QGridLayout* SelectedFormatLayout

## Protected Slots

- virtual void ClickedColor ()
- virtual void ClickedFont ()
- virtual void ClickedOK ()
- virtual void ClickedFTP ()

## Constructor & Destructor Documentation

CSnapshotSettings::CSnapshotSettings ( | QWidget * parent = 0,
| const char * name = 0,
| bool modal = FALSE,
| WFlags fl = 0 )

CSnapshotSettings::~CSnapshotSettings ( | )

## Member Function Documentation

virtual void CSnapshotSettings::ClickedColor ( | )`[protected, virtual, slot]`

| Reimplemented in CSnapshotSettingsDlg.

virtual void CSnapshotSettings::ClickedFTP ( | )`[protected, virtual, slot]`

| Reimplemented in CSnapshotSettingsDlg.

virtual void CSnapshotSettings::ClickedFont ( | )`[protected, virtual, slot]`

| Reimplemented in CSnapshotSettingsDlg.

virtual void CSnapshotSettings::ClickedOK ( | )`[protected, virtual, slot]`

| Reimplemented in CSnapshotSettingsDlg.

## Member Data Documentation

QLineEdit* CSnapshotSettings::BaseName

QPushButton* CSnapshotSettings::CancelButton

QToolButton* CSnapshotSettings::ColourButton

QPushButton* CSnapshotSettings::FTPSettingsButton

QCheckBox* CSnapshotSettings::FTPToServer

QToolButton* CSnapshotSettings::FontButton

QFrame* CSnapshotSettings::Frame3

QSpinBox* CSnapshotSettings::MaxSequence

QPushButton* CSnapshotSettings::OKButton

QRadioButton* CSnapshotSettings::RadioButton1

QRadioButton* CSnapshotSettings::RadioButton10

QRadioButton* CSnapshotSettings::RadioButton11

QRadioButton* CSnapshotSettings::RadioButton12

QRadioButton* CSnapshotSettings::RadioButton13

QRadioButton* CSnapshotSettings::RadioButton14

QRadioButton* CSnapshotSettings::RadioButton15

QRadioButton* CSnapshotSettings::RadioButton16

QRadioButton* CSnapshotSettings::RadioButton18

QRadioButton* CSnapshotSettings::RadioButton19

QRadioButton* CSnapshotSettings::RadioButton2

QRadioButton* CSnapshotSettings::RadioButton20

QRadioButton* CSnapshotSettings::RadioButton3

QRadioButton* CSnapshotSettings::RadioButton4

QRadioButton* CSnapshotSettings::RadioButton5

QRadioButton* CSnapshotSettings::RadioButton6

QRadioButton* CSnapshotSettings::RadioButton7

QRadioButton* CSnapshotSettings::RadioButton8

QRadioButton* CSnapshotSettings::RadioButton9

QButtonGroup* CSnapshotSettings::SaveOption

QCheckBox* CSnapshotSettings::SaveToDisk

QButtonGroup* CSnapshotSettings::SelectedFormat

QGridLayout* CSnapshotSettings::SelectedFormatLayout`[protected]`

QLabel* CSnapshotSettings::TextLabel1

QCheckBox* CSnapshotSettings::TimestampImage

QLabel* CSnapshotSettings::label_basename

QLabel* CSnapshotSettings::label_select_color

QLabel* CSnapshotSettings::label_select_font

The documentation for this class was generated from the following file:

- SnapshotSettings.h